=== debian/control ===
Source: ros-foxy-mavros-msgs
Section: misc
Priority: optional
Maintainer: Vladimir Ermakov <vooon341@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-lint-auto <!nocheck>, ros-foxy-ament-lint-common <!nocheck>, ros-foxy-geographic-msgs, ros-foxy-geometry-msgs, ros-foxy-rcl-interfaces, ros-foxy-rosidl-default-generators, ros-foxy-sensor-msgs, ros-foxy-ros-workspace, ros-foxy-rosidl-typesupport-fastrtps-c, ros-foxy-rosidl-typesupport-fastrtps-cpp, ros-foxy-rosidl-typesupport-connext-c, ros-foxy-rosidl-typesupport-connext-cpp
Homepage: http://wiki.ros.org/mavros_msgs
Standards-Version: 3.9.2

Package: ros-foxy-mavros-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-geographic-msgs, ros-foxy-geometry-msgs, ros-foxy-rcl-interfaces, ros-foxy-rosidl-default-runtime, ros-foxy-sensor-msgs, ros-foxy-ros-workspace
Description: mavros_msgs defines messages for MAVROS.
